Subject: Re: [imapext] IMAP4 non-synchronizing literals - draft-ietf-imapapnd-rfc2088bis-01

From: Alexey Melnikov <[email-masked]>
Date: Fri, 5 Feb 2016 10:58:55 +0000

Hi Jay,

On 28/01/2016 21:02, Jayantheesh S B wrote:
> Hi Alexey,
> 
> I agree with not to restrict this with only APPEND command.

Ok, I will update the draft to apply the limit to all commands.

> All,
> 
>  
> 
> Kindly share your review comments for this
> draft-ietf-imapapnd-rfc2088bis-01.
> 
>  
> 
> Regards,
> 
> Jay
> 
> *From:*imapext [mailto:[email-masked]] *On Behalf Of *Stu Brandt
> *Sent:* Tuesday, December 08, 2015 2:12 PM
> *To:* [email-masked]
> *Subject:* Re: [imapext] IMAP4 non-synchronizing literals -
> draft-ietf-imapapnd-rfc2088bis-01
> 
>  
> 
> Alexey -
> 
> I agree with Jamie...restricting to just APPEND (and MULTIAPPEND, and
> CATENATE) seems unnecessary.   Thinking of potential new extensions
> (e.g. REPLACE), there could likely be additional cases where the
> motivation for LITERAL- applies.
> 
> - Stu
> 
> On 12/8/15 10:41 AM, Alexey Melnikov wrote:
> 
>     On 04/12/2015 18:35, Jamie Nicolson wrote:
> 
>     Apologies if this was discussed before, but why limit the LITERAL-
>     size restriction to APPEND? Why not just make it apply to all
>     commands: any literal > 4KB must be sent as a synchronizing literal.
>     This might be easier for clients and servers to implement, so that
>     the code for processing literals doesn't need to know which command
>     it belongs to. The impact on other commands would be very limited,
>     since they will almost never need to send a literal that large.
> 
>     I personally don't mind if it applies to all commands. Other thoughts?
> 
>      
> 
>     On Fri, Dec 4, 2015 at 3:25 AM, S Moonesamy <[email-masked]
>     <mailto:[email-masked]>> wrote:
> 
>     Hello,
> 
>     The second draft on our charter about "IMAP4 non-synchronizing
>     literals" [1].  Could the working group please review
>     draft-ietf-imapapnd-rfc2088bis-01 and send comments to the mailing list?
> 
>     Regards,
>     S. Moonesamy (as imapapdb WG Chair)
> 
>     1. https://tools.ietf.org/html/draft-ietf-imapapnd-rfc2088bis-01
> 
>     _______________________________________________
>     imapext mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/imapext
> 
>      
> 
> 
> 
> 
>     _______________________________________________
> 
>     imapext mailing list
> 
>     [email-masked] <mailto:[email-masked]>
> 
>     https://www.ietf.org/mailman/listinfo/imapext
> 
> 
> 
> 
> 
>     _______________________________________________
> 
>     imapext mailing list
> 
>     [email-masked] <mailto:[email-masked]>
> 
>     https://www.ietf.org/mailman/listinfo/imapext
> 
>  
> 
> 
> 
> _______________________________________________
> imapext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/imapext
>